disp 'choose rawdata dir'
Dir = uigetdir ; 
disp 'choose GOAT data dir'
SaveDir = uigetdir ; 
%%
DD = dir(Dir) ; 

for i = 1:length(DD)
    if ~strncmp(DD(i).name,'.',1)
        [P,Name] = fileparts(DD(i).name) ; 
        idx = regexp(Name,'k_') ; 
        year = round(str2double(Name(idx-4:idx-1))*1000) ;
        clear D
        D = GOAT_nc2mat(fullfile(Dir,DD(i).name)) ; 
        data = D.var2 ;
        save(fullfile(SaveDir,'orography'   ,'time',[num2str(year,'%05.0f'),'.mat']),'data') ; 
        data = D.var3 ;
        save(fullfile(SaveDir,'icesheet'    ,'time',[num2str(year,'%05.0f'),'.mat']),'data') ; 
        data = round(D.var4/100) ;
        save(fullfile(SaveDir,'icesheetmask','time',[num2str(year,'%05.0f'),'.mat']),'data') ; 
    end
end

