% GOAT_Filters_Clear   sets all GOAT filter parameters to default ;
% Copyright (C) Ori Adam. Sep.2014
% Syntax:
% >> G = GOAT_Filters_Clear(G)
%
% aee also GOAT_Filters

function G = GOAT_Filters_Clear(G) 

G.Filter.WeightIdx          = 1 ; % 1 = 'None'
G.Filter.ZonalWaveNumberIdx = -1 ; % 0 = no Filter
G.Filter.ZonalWaveNumberLowIdx  = 1 ;
G.Filter.ZonalWaveNumberHighIdx = 1 ;
G.Filter.RAIdx              = 1 ; % 0 = no Filter
G.Filter.REFlag             = 0 ; % No Running Eddy
G.Filter.LowPassIdx         = 0 ; % 0 = no Filter
G.Filter.HighPassIdx        = 0 ; % 0 = no Filter
G.Filter.IndicesIdx         = 1 ; % 1 = 'None'
G.Filter.Index = ones(length(G.Addresses.Default),1) ;
G.Filter.ZEFlag             = 0 ;
G.Filter.WeightFactor       = 1 ;