% GOAT_UTILS_seconds2time:  convert seconds to hourse,minutes,seconds
% syntax:
% >> [hours,minutes,seconds,HH_MM_SS_string] = GOAT_UTILS_seconds2time(t) ; % t = seconds


function [h,m,s,stamp] = GOAT_UTILS_seconds2time(t)

switch nargout
    case 1
        h = floor(t/3600) ;
    case 2
        h = floor(t/3600) ;
        m = floor((t - h*3600)/60) ;
    case 3
        h = floor(t/3600) ;
        m = floor((t - h*3600)/60) ;
        s = t - h*3600 - m*60 ;
    case 4
        h = floor(t/3600) ;
        m = floor((t - h*3600)/60) ;
        s = t - h*3600 - m*60 ;
        if h < 100
            stamp = [num2str(h,'%02.0f'),':',num2str(m,'%02.0f'),':',num2str(s,'%02.0f')] ;
        else
            stamp = [num2str(h,'%03.0f'),':',num2str(m,'%02.0f'),':',num2str(s,'%02.0f')] ;
        end
end

