% yearday2monthday Convert Julian Day to month and day
%

function [d,m] = yearday2monthday(dayIdx,year)

if nargin >1 && GOAT_leapyear(year)
MEnd = [0 31 60 91 121 152 182 213 244 274 305 335] ;
else
MEnd = [0 31 59 90 120 151 181 212 243 273 304 334] ;
end
m = find((MEnd-dayIdx) >= 0,1,'first') - 1 ; 
d = dayIdx - MEnd(m) ;