% GOAT_ERA_ERAI2Clim
% Calculate climatology for all fields of r1i1p1 realizations of a certain
% CMIP5 experiment or Model output
%
% see also, GOAT_Dataset_Clim

G = GOAT_Environment ; 
%FieldsToExclude = {'BoerBeta'} ; 
RootFolder = '/Volumes/data3/GOAT/Data/ERA-Interim' ; % Example
%status = GOAT_Dataset_Clim(RootFolder,G,'VirtualFields',{'MSE_uac','MSE_u'},'FieldsToInclude',{'none'},'calendarstoinclude',{'Daily'}) ;     % Create a Mirror CMIP5_Clim folder
%status = GOAT_Dataset_Clim(RootFolder,G,'FieldsToInclude','none','VirtualFields',{'KE_h'},'calendarstoinclude',{'Daily'}) ;     % Create a Mirror CMIP5_Clim folder
% status = GOAT_Dataset_Clim(RootFolder,G,'calendarstoinclude',{'Daily','Monthly'},'outputfolder','/Volumes/data3/GOAT/Data/ERA-Interim_1979_2014_Clim', ... 
%     'FieldsToInclude',{'BoerBeta','MSEI','MSEIv','MSEIvac','MSEIu','MSEIuac','vac','uac','tas','tos','ua','va','zg','wap','hus','ta','tph','vas','uas'},'VirtualFields',{'atm_enrgy_input','MSE','PminusE_er'}) ;     % Create a Mirror CMIP5_Clim folder
status = GOAT_Dataset_Clim(RootFolder,G,'calendarstoinclude',{'Daily','Monthly'},'outputfolder','/Volumes/data3/GOAT/Data/ERA-Interim_1979_2014_Clim','FieldsToInclude',{'MSEIvac','MSEIuac','vac','uac'}) ;     % Create a Mirror CMIP5_Clim folder
%status = GOAT_Dataset_Clim(RootFolder,G) ;     % Create a Mirror *_Clim folder

disp 'Converting all datasets to Clim for the root:'
disp(RootFolder)
disp 'Complete !'


