#!/usr/bin/env perl

use lib '/Users/oradam/Documents/MATLAB/GOAT/Code/Utils/DataManagementCode/ERA/ecmwf-api-client-perl' ; 

BEGIN { $ENV{PERL_LWP_SSL_VERIFY_HOSTNAME} = 0 }

use ECMWF::DataServer;

my $client = ECMWF::DataServer->new();

$client->retrieve( 
    dataset  => "interim",
    step     => "0",
    number   => "all",
    levtype  => "sl",
    date     => "20071001",
    time     => "00/06/12/18",
    origin   => "all",
    type     => "pf",
    param    => "228",
    area     => "G",
    format   => 'netcdf',
    resol    => 'av',
    grid     => "1.5/1.5",
    target   => "data.grib",
    );
